- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
tbb::captured_exception Class Reference

This class is used by TBB to propagate information about unhandled exceptions into the root thread. More...

`#include <tbb_exception.h>`

Inheritance diagram for tbb::captured_exception:

## Public Member Functions
| captured_exception (const captured_exception &src)
| captured_exception (const char *name_, const char *info)
captured_exception & | operator= (const captured_exception &src)
captured_exception *__TBB_EXPORTED_METHOD | move () __TBB_override throw ()
| Creates and returns pointer to the deep copy of this exception object. More...
void __TBB_EXPORTED_METHOD | destroy () __TBB_override throw ()
| Destroys objects created by the move() method. More...
void | throw_self () __TBB_override
| Throws this exception object. More...
const char *__TBB_EXPORTED_METHOD | name () const __TBB_override throw ()
| Returns RTTI name of the originally intercepted exception.
const char *__TBB_EXPORTED_METHOD | what () const __TBB_override throw ()
| Returns the result of originally intercepted exception's what() method.
void __TBB_EXPORTED_METHOD | set (const char *name, const char *info) throw ()
void __TBB_EXPORTED_METHOD | clear () throw ()
Public Member Functions inherited from tbb::tbb_exception
void | operator delete (void *p)

## Detailed Description

This class is used by TBB to propagate information about unhandled exceptions into the root thread.

Exception of this type is thrown by TBB in the root thread (thread that started a parallel algorithm ) if an unhandled exception was intercepted during the algorithm execution in one of the workers.

See Also
  tbb::tbb_exception

## Member Function Documentation

void __TBB_EXPORTED_METHOD tbb::captured_exception::destroy | ( | ) |  |
throw | ( |
| ) |  |
| virtual

Destroys objects created by the move() method.

Frees memory and calls destructor for this exception object. Can and must be used only on objects created by the move method.

Implements tbb::tbb_exception.

captured_exception* __TBB_EXPORTED_METHOD tbb::captured_exception::move | ( | ) |  |
throw | ( |
| ) |  |
| virtual

Creates and returns pointer to the deep copy of this exception object.

Move semantics is allowed.

Implements tbb::tbb_exception.

void tbb::captured_exception::throw_self | ( | ) |  |
| inlinevirtual

Throws this exception object.

Make sure that if you have several levels of derivation from this interface you implement or override this method on the most derived level. The implementation is as simple as "throw *this;". Failure to do this will result in exception of a base class type being thrown.

Implements tbb::tbb_exception.

The documentation for this class was generated from the following file:

- tbb_exception.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.